--OSD Scan servers

local tt={
{"Sibir (Russian)","user/tvplaylists/tvscr/scansibir.lua"},
{"Miralogic (Russian)","user/tvplaylists/tvscr/scanmiralogic.lua"},
{"Triolan (Ukraine)","user/tvplaylists/tvscr/scantriolan.lua"},
{"CDS (Ukraine)","user/tvplaylists/tvscr/scancds.lua"},
{"Back to main menu","user/tvplaylists/tvinit.lua"},
}

local t ={}
for i=1,#tt do
      t[i] = {}
      t[i].Id   =  i
      t[i].Name =  tt[i][1]
      t[i].Adress  = ''
      t[i].Action  = tt[i][2]
  end
local ret,id = m_simpleTV.OSD.ShowSelect('Select item to scan',0,t,10000,1+4+8)
     if ret==1 then 
	dofile(m_simpleTV.MainScriptDir .. t[id].Action)
      end
